Package org.talend.transform.runtime.api

# Interface JavaMapReader

public interface JavaMapReader
Reads Java Map objects when using the Map representation

## Method Summary

Modifier and Type
Method
Description
`boolean`
`consumeMap(Map map)`
Consume a Map object.
`void`
`end()`
Called after the last Map object is presented.
`void`
`start()`
Called before the first Map object is presented.

## Method Details

### start

void start()
Called before the first Map object is presented.

### consumeMap

boolean consumeMap(Map map)
Consume a Map object.

Parameters:
  `map` -
Returns:
  true if it worked, false if there was a failure. Upon failure, you can get the ExecutionStatus information by consulting the MapExecutionContext object.

### end

void end()
Called after the last Map object is presented.